Quassel IRC - Feature #77

Core administration, Core user admin, ACL support
01/15/2008 03:23 PM - Sputnick

Status: Assigned Start date:

Priority: Normal Due date:

Assignee: phon % Done: 0%
Category: General / Unspecified Estimated time: 0.00 hour
Target version:

0S: Any

Description

We need to have ways to change the core configuration, rename/remove/manage core users and so on. We'll need to think about
using ACLs for this.

Related issues:

Related to Quassel IRC - Feature #737: Administration of Users New 07/09/2009
Related to Quassel IRC - Feature #909: Provide --del-user argument New 02/07/2010
History

#1 - 02/24/2008 01:24 AM - phon

i will start to make a frontend for managing users - if that's ok with everybody...

#2 - 03/14/2008 01:08 PM - EgS

yesitis:)

#3 - 12/28/2008 01:50 AM - Sputnick
- Priority changed from High to Normal

#4 - 03/02/2010 01:00 AM - johu
- Tracker changed from Bug to Feature

- OS set to Any
#5 - 08/11/2010 10:34 PM - public

Would be nice if you could make it possible to move users from one core to another. The Problem is to find all user specifeid things in the database
and then change some keys so that they are still unique (e.g. sender, could be the same name on both cores. so you have to use only one entry...)
